summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/gnu-jaf
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/gnu-jaf')
-rw-r--r--dev-java/gnu-jaf/Manifest1
-rw-r--r--dev-java/gnu-jaf/gnu-jaf-1.1.1.ebuild29
-rw-r--r--dev-java/gnu-jaf/metadata.xml23
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-java/gnu-jaf/Manifest b/dev-java/gnu-jaf/Manifest
new file mode 100644
index 00000000000..96e87e436d8
--- /dev/null
+++ b/dev-java/gnu-jaf/Manifest
@@ -0,0 +1 @@
+DIST activation-1.1.1.tar.gz 157018 SHA256 b1b5ef560d30fcb11fbf537246857d14110ce4eb2b200d4c54690472305d87b7 SHA512 d323644df13a4572bf1c10e7175c1c4cfa3078483886bba7b308989c215a23e12939b054124dbaf0437a4c5fdcb551b4e2189c09afc078218963389e4b3c3b7d WHIRLPOOL 28e6390302476710fba3fac5c2df43790b05de72dcecd3640e82829ef8139621871ea70dcced279ffb8ccd6f7a11ae5f5fe64af9c5e5bc29da603e62474790f9
diff --git a/dev-java/gnu-jaf/gnu-jaf-1.1.1.ebuild b/dev-java/gnu-jaf/gnu-jaf-1.1.1.ebuild
new file mode 100644
index 00000000000..c2256bd98ac
--- /dev/null
+++ b/dev-java/gnu-jaf/gnu-jaf-1.1.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+JAVA_PKG_IUSE="doc source"
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="GNU implementation of the JavaBeans Activation Framework"
+HOMEPAGE="http://www.gnu.org/software/classpathx/jaf/jaf.html"
+SRC_URI="mirror://gnu/classpathx/activation-${PV}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="1"
+KEYWORDS="amd64 ppc ppc64 x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.4"
+RDEPEND=">=virtual/jre-1.4"
+
+S=${WORKDIR}/activation-${PV}
+
+EANT_BUILD_TARGET="activation.jar"
+
+src_install() {
+ java-pkg_dojar activation.jar
+ dodoc AUTHORS ChangeLog || die
+ use doc && java-pkg_dojavadoc docs
+ use source && java-pkg_dosrc source/*
+}
diff --git a/dev-java/gnu-jaf/metadata.xml b/dev-java/gnu-jaf/metadata.xml
new file mode 100644
index 00000000000..003d6fb8d01
--- /dev/null
+++ b/dev-java/gnu-jaf/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>java</herd>
+
+<longdescription>
+GNU JAF is a framework for declaring what beans operate on what MIME
+type data. Content handler beans can be defined to handle particular
+MIME content. The JAF unites internet standards for declaring content
+with JavaBeans™.
+
+The JAF defines two mechanisms within the framework. The first, the
+file type map, specifies the MIME content type for a given file. The
+default implementation of this uses the UNIX mime.types format to map
+filename extensions to MIME types. The second mechanism, the command
+map, specifies the actions that can be applied to a given MIME content
+type. The default implementation of this uses the standard mailcap format
+to map actions to JavaBean™ classes. These beans can then view, edit,
+print, or perform whatever other action is required on the underlying
+resource.
+</longdescription>
+
+</pkgmetadata>